Rj Editor (Error using System R)

Everything related to the development of modules in jamovi

by anaco » Fri Oct 04, 2019 2:33 pm

Hi Jonathon,

thanks a lot for your quick reply. Even if the following will be off-topic, it is kind of related:
the only reason I tried to connect to the System-R was in order to be able to configure some settings for the blandr-package, because after installing it as a jamovi module, I cant load the library in the RjEditor. Is this a bug?
anaco
 
Posts: 2
Joined: Wed Oct 02, 2019 3:55 am

by jonathon » Fri Oct 04, 2019 11:58 pm

hi,

no, the only R packages you have access to from Rj are jmv and it's dependencies.

cheers

jonathon
User avatar
jonathon
 
Posts: 1339
Joined: Fri Jan 27, 2017 10:04 am

by Vit » Wed Oct 23, 2019 8:25 am

If I may sum this up, one can use System R via Rj editor only if the Base R version 3.4.4 or older is installed.
Further, one needs to install jmv and jmvconnect packages into the 3.4.4 (and any other supported packages one wants to use).

It works for me on jamovi 1.1.5 and Rj editor 1.0.8 running Win10Pro.
Vit
 
Posts: 26
Joined: Fri Apr 19, 2019 11:51 am

by jonathon » Sun Jan 05, 2020 3:55 am

Rj Editor, under windows, with jamovi 1.2 and newer, will now work with system R 3.5 and newer.

cheers
User avatar
jonathon
 
Posts: 1339
Joined: Fri Jan 27, 2017 10:04 am

by jonathon » Sun Jan 19, 2020 10:03 pm

All of the current jamovi 1.2 series are now using R 3.6.
User avatar
jonathon
 
Posts: 1339
Joined: Fri Jan 27, 2017 10:04 am

Previous

Return to Module development